Brocade Management Software Community

Expand all | Collapse all

migrating from 12.4.x to 14.x.x or 14.x.x to any other version of 14

  • 1.  migrating from 12.4.x to 14.x.x or 14.x.x to any other version of 14

    Posted 04-06-2018 05:51 PM

    After fighting for several weeks trying to upgrade and migrage from BNA 12.4.3 to 14.0.3 an interim step to ulitmately get to 14.4.1.  I found out from Broacde the documented steps are incorrect.  You DO NOT want to do a "partial uninstall" of the version you are currently on.  The correct procedure is to shutdown your currentl version, run the install for the next version you are going to, and the install will do the "partial install" and migration for you.  Know this a few weeks ago would have saved me hours of work.  I hope this hint will help someone who is struggling to upgrade from version 12 to 14.  Another great hint I picked up is if you have already installed a version and failed you can re-try by going into the new version and running the "configwizard", it will hand hold you thru the install and migrate.  Just remember not to uninstall the version you are migrating from.  BTW the easiest path from 12.4.3 the version I was on to 14.4.1, is 12.4.3 to 14.0.3, then 14.2.2 then 14.4.1...


    #BrocadeManagementSoftwareCommunity


  • 2.  Re: migrating from 12.4.x to 14.x.x or 14.x.x to any other version of 14

    Posted 04-27-2018 08:07 AM

    Thanks for the info.  I was going through this and was able to upgrade CMCNE on my environment from 12.3.1 to 14.0 then to 14.2.1.  When I try to upgrade to 14.4.1 it fails to start on last step and not able to start the server service.  It fails and rolls back to 14.2.1 

     

    Have tried several time and it still fails to this step and unable to start server service.  Not sure what the issue is.  It generates a big support save zip file.  OS is windows 2008 R2 standard.  it has 32GB RAM and penty of diskspace. 

     

    Anyone has hit this issue and aware of what could cause this?

     

    Thanks,


    #BrocadeManagementSoftwareCommunity


  • 3.  Re: migrating from 12.4.x to 14.x.x or 14.x.x to any other version of 14

    Posted 04-27-2018 08:19 AM

    @ddywz

     

    --->>>...from 12.3.1 to 14.0 then to 14.2.1.

     

    --->>>When I try to upgrade to 14.4.1 it fails....

     

    Upgrade / Miration from 14.2.x to 14.4.1 is not supported!!!


    #BrocadeManagementSoftwareCommunity


  • 4.  Re: migrating from 12.4.x to 14.x.x or 14.x.x to any other version of 14

    Posted 04-27-2018 08:43 AM

    Thanks for the reply.  The release notes for 14.4.1 states this on page 107....

     

    Migrating from a previous version
    ◆ Upgrades to CMCNE 14.4.1 will only be allowed from CMCNE
    14.2.x and 14.3.x. For more information, refer to the "Migration
    and Transition" section of the Connectrix Manager Converged
    Network Edition Professional, Professional Plus, and Enterprise Version
    14.4.1 User Guide.
    ◆ You cannot migrate directly from CMCNE 12.3.x to CMCNE
    14.4.1.You must first migrate to CMCNE 14.0.x, then migrate to
    14.2.x and then migrate to 14.4.1. To migrate from CMCNE 12.3.x
    to CMCNE 12.4.x, refer to the EMC Connectrix Manager Converged
    Network Edition Professional, Professional Plus and Enterprise Version
    12.4.x User Guide available on EMC Online Support.

     

    I am currently on 14.2.2.   Are you saying I need to go to 14.3.x  then to 14.4.1 ?


    #BrocadeManagementSoftwareCommunity


  • 5.  Re: migrating from 12.4.x to 14.x.x or 14.x.x to any other version of 14

    Posted 04-27-2018 08:58 AM

    @ddywz

     

    I know the Upgarde and Migration Note in some release Notes, but i facing several time the experience that not work

     

    --->>>I am currently on 14.2.2.   Are you saying I need to go to 14.3.x  then to 14.4.1 ?

     

    Correct, I suggest to Upgrade first to 14.3.1 and then 14.4.x

     

    BTW 14.4.2 is the latest release, however I'm not sure if this is available by Dell/EMC for now.

     
     

    #BrocadeManagementSoftwareCommunity


  • 6.  Re: migrating from 12.4.x to 14.x.x or 14.x.x to any other version of 14

    Posted 04-27-2018 12:24 PM

    Well, EMC/DELL support site does not have any in-between versions posted for download.  From 14.2.2 the next one you can download is 14.4.1.   I cannot find any 14.3.x versions posted for download. 


    #BrocadeManagementSoftwareCommunity


  • 7.  Re: migrating from 12.4.x to 14.x.x or 14.x.x to any other version of 14

    Posted 04-27-2018 12:38 PM

    @ddywz

     

    I no have access by EMC, and not know what is available for download.

     

    I would suggest to open a TAC with EMC, and try to obtain 14.3.x package, however I'm at 99% quite sure Release 14.3.1 is by EMC available.


    #BrocadeManagementSoftwareCommunity


  • 8.  RE: Re: migrating from 12.4.x to 14.x.x or 14.x.x to any other version of 14

    Posted 28 days ago
    @Antonio,    Thanks for your update​
    As per your update

    --->>>...from 12.3.1 to 14.0 then to 14.2.1.

     --->>>When I try to upgrade to 14.4.1 it fails....

     Upgrade / Miration from 14.2.x to 14.4.1 is not supported!!!    

    may I know, what is alternate procedure for move to 14.2 to 14.4.X version.

    My understand is:- 
    1.from 12.3.4 to 14.0.2 
    2. 14.0.2  to 14.2.1.
    3. 14.2.1 to 14.3.2 or  14.2.1 to 14.4.2
    4. 14.3.2 to 14.4.2  - this is correct procedure or not. kindly confirm me. 

    Thanks
    Siva.S
    sivankl89@gmail.com
    siva.subramanian@merckgroup.com



    ------------------------------
    Senior Specialist
    MerckGroup
    ------------------------------



  • 9.  RE: Re: migrating from 12.4.x to 14.x.x or 14.x.x to any other version of 14

    Posted 28 days ago
    @A.Bongiorno,

    I need to upgrade the BNA from 12.3 4 to 14.4 or 14.4.2.  i didn't get compression documents​. kindly share the steps or documents for upgrade the BNA from 12.3 to 14.4 version.

    Thanks
    Siva.S
    sivankl89@gmail.com
    siva.subramanian@merckgroup.com

    ------------------------------
    Senior Specialist
    MerckGroup
    ------------------------------



  • 10.  RE: Re: migrating from 12.4.x to 14.x.x or 14.x.x to any other version of 14

    Posted 28 days ago
    Thanks for your update,

    --->>>...from 12.3.1 to 14.0 then to 14.2.1 

    may i know from which version support to upgrade to 14.4.X. because You have informed  ---->from 12.3.1 to 14.0 then to 14.2.1. and Upgrade / Migration from 14.2.x to 14.4.1 is not supported!!!

    My understand :- 

    -->>>...from 12.3.1 to 14.0 then to 14.2.1 
    --> 14.2.1  to 14.4.2 - this will work or not




    ------------------------------
    Senior Specialist
    MerckGroup
    ------------------------------